<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.elephant.framework.galaxy.aroad.module.emergencyevent.mapper.EmergencyEventMapper">

  <resultMap id="emergencyEventMap" type="com.elephant.framework.galaxy.aroad.module.emergencyevent.entity.EmergencyEvent">
        <id property="eventId" column="event_id"/>
        <result property="eventName" column="event_name"/>
        <result property="eventType" column="event_type"/>
        <result property="eventDetail" column="event_detail"/>
        <result property="influence" column="influence"/>
        <result property="road" column="road"/>
        <result property="stationNumber" column="station_number"/>
        <result property="reportingDept" column="reporting_dept"/>
        <result property="reportingDeptId" column="reporting_dept_id"/>
        <result property="reporterId" column="reporter_id"/>
        <result property="reportingTime" column="reporting_time"/>
        <result property="status" column="status"/>
  </resultMap>
</mapper>
